#!/usr/bin/env node
const express = require("express");
var cors = require("cors");

const yargs = require("yargs/yargs");
const { hideBin } = require("yargs/helpers");
const defaultConfig = require("./config.json");
const createDevProxyMiddleware = require("./createDevProxyMiddleware");

const argv = yargs(hideBin(process.argv))
    .option("port", { alias: "p", describe: "Port that proxy will listen on" })
    .option("host", { alias: "h", describe: "Host for the proxy" })
    .option("apiServiceUrl", { alias: "api", describe: "The endpoing to which the requests will be proxied to" })
    .default(defaultConfig).argv;

const app = express();

app.use(cors({ origin: true, credentials: true }));

// Proxy endpoints
app.use("/", createDevProxyMiddleware(argv.apiServiceUrl));

app.listen(argv.port, argv.host, () => {
    console.log(`Listening on ${argv.host}:${argv.port}\n\n`);
});
