module.exports = (serviceUrl = "https://analytics.ytica.com") => ({
    target: serviceUrl,
    changeOrigin: true,
    cookieDomainRewrite: "localhost",
    onProxyReq: (proxyReq) => {
        if (proxyReq.getHeader("origin")) {
            proxyReq.setHeader("origin", serviceUrl);
        }
    },
    onProxyRes: (proxyRes, req) => {
        let cookies = proxyRes.headers["set-cookie"];
        if (cookies) {
            cookies = cookies.map((c) => c.replace("; Secure", "")).map((c) => c.replace("; SameSite=None", ""));
        }
        proxyRes.headers["set-cookie"] = cookies;
    }
});
